import { jsx } from "react/jsx-runtime";
import { RacquetIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Racquet = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Racquet", ...props, children: /* @__PURE__ */ jsx(RacquetIcon, { weight: variant }) });
  }
);
Racquet.displayName = "Racquet";
Object.assign(Racquet, { isGdsIcon: true });
export {
  Racquet
};
